-- 有声读物
CREATE TABLE audibles (
     id TEXT not NULL,
     title TEXT not NULL,
     cover_url TEXT,
     category TEXT,
     cate_id TEXT,
     description TEXT,
     author TEXT,
     type INTEGER,
     last_listen_timestamp INTEGER,
     updatable INTEGER,
     add_timestamp INTEGER,
     unique(id, title)
    ) ;


-- 播放记录
CREATE TABLE play_history (
     audible_id TEXT not NULL,
     audible_title TEXT not NULL,
     audible_cover_url TEXT,
     audible_type INTEGER,
     cate_id TEXT,
     cate_title TEXT,
     trackIndex INTEGER,
     audio_duration INTEGER,
     playing_position INTEGER,
     unique(audible_id, audible_title)
    ) ;


-- 音频表
CREATE TABLE audiotracks (
     id TEXT not NULL,
     title TEXT not NULL,
     audio_url TEXT,
     book_name TEXT,
     subtitle TEXT,
     subtitle_format TEXT,
     duration INTEGER,
     add_timestamp INTEGER,
     unique(id, title)
    ) ;


-- 单词表
CREATE TABLE favorite_words (
     book_name TEXT,
     word TEXT not NULL,
     explain TEXT,
     phonetic TEXT,
     unique(word)
    ) ;

-- 句子
CREATE TABLE favorite_sentence (
     _id INTEGER PRIMARY KEY AUTOINCREMENT,
     book_name TEXT,
     sentence TEXT not NULL,
     unique(book_name, sentence)
    ) ;

